#### Description:

This function returns a value indicating the data type of a named entry in a KeyMap. This is the data type which was used when the entry was added to the KeyMap.

#### Synopsis

int astMapType( AstKeyMap ∗this, const char ∗key )

#### Parameters:

##### this

Pointer to the KeyMap.

##### key

The character string identifying the KeyMap entry. Trailing spaces are ignored. The supplied string is converted to upper case before use if the KeyCase attribute is currently set to zero.

#### Returned Value

##### astMapType()

One of AST__INTTYPE (for integer), AST__SINTTYPE (for short int), AST__KINTTYPE (for int64_t), AST__BYTETYPE (for unsigned bytes

- i.e. unsigned chars ) AST__DOUBLETYPE (for double precision floating point), AST__FLOATTYPE (for single precision floating point), AST__STRINGTYPE (for character string), AST__OBJECTTYPE (for AST Object pointer), AST__POINTERTYPE (for arbitrary C pointer) or AST__UNDEFTYPE (for undefined values created by astMapPutU). AST__BADTYPE is returned if the supplied key is not found in the KeyMap.

#### Notes:

- A function value of AST__BADTYPE will be returned if an error has already occurred, or if this function should fail for any reason.

Copyright (C) 2021 East Asian Observatory